// packageE/groupCode/groupCode.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    btnStatus: false,
    page: 1,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
    if (options.scene) {
      let scene = decodeURIComponent(options.scene);
      if (scene) {
        var info_arr = [];
        info_arr = scene.split(",");
        for (let i = 0; i < info_arr.length; i++) {
          let chil_arr = [];
          chil_arr = info_arr[i].split("=");
          if (chil_arr[0] == "mid") {
            app._setMid(chil_arr[1]);
          }
        }
      }
    }
  },
  tapUrl(e) {
    let link = e.currentTarget.dataset.url;
    try {
      wx.navigateTo({
        url: link,
      });
    } catch (err) {
      console.log(err);
    }
  },
  goSearch() {
    wx.navigateTo({
      url: "/packageE/groupCode/groupCodeSearch/groupCodeSearch",
    });
  },
  toDetails(e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: "/packageE/groupCode/groupCodeLabel/groupCodeLabel?id=" + id,
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},
  creation(e) {
    wx.navigateTo({
      url: "/packageE/groupCode/groupCodeCreate/groupCodeCreate",
    });
  },
  record(e) {
    wx.navigateTo({
      url: "/packageE/groupCode/groupCodeRecord/groupCodeRecord",
    });
  },
  chooseSta() {
    this.setData({
      btnStatus: !this.data.btnStatus,
    });
  },
  rankTap(e) {
    wx.navigateTo({
      url: "/packageE/groupCode/groupCodeRanking/groupCodeRanking",
    });
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({
      btnStatus: false,
      page: 1,
    });
    this.getData();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    console.log("111111111111111111111111");
    if (this.data.current_page >= this.data.last_page) {
      // wx.showToast({
      //   title: '没有更多了',
      //   icon:'none',
      //   duration:1000
      // })
      return;
    } else {
      let pages = this.data.page + 1;
      this.setData({
        page: pages,
      });
      this.getMore();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  getData() {
    var that = this;
    let urlStr = app.getNetAddresss("plugin.group-code.api.group-code.index");
    app._postNetWork({
      url: urlStr,
      data: {
        page: that.data.page,
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            info: res.data,
            current_page: res.data.recommend.current_page,
            last_page: res.data.recommend.last_page,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
          });
          console.log(res.msg);
        }
      },
    });
  },
  getMore() {
    var that = this;
    let urlStr = app.getNetAddresss("plugin.group-code.api.group-code.index");
    app._postNetWork({
      url: urlStr,
      data: {
        page: that.data.page,
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          res.data.recommend.data = that.data.info.recommend.data.concat(
            res.data.recommend.data
          );
          that.setData({
            info: res.data,
            current_page: res.data.recommend.current_page,
            last_page: res.data.recommend.last_page,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
          });
          console.log(res.msg);
        }
      },
    });
  },
});
